Bug 1441528 - [RFE][Rebase] Rebase ovirt-engine on apache-sshd 2.1.0
Summary: [RFE][Rebase] Rebase ovirt-engine on apache-sshd 2.1.0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Build.Maven
Version: future
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ovirt-4.3.0
: ---
Assignee: Martin Perina
QA Contact: Eli Mesika
URL:
Whiteboard:
Depends On:
Blocks: 1490404
TreeView+ depends on / blocked
 
Reported: 2017-04-12 07:51 UTC by Sandro Bonazzola
Modified: 2019-02-13 07:44 UTC (History)
5 users (show)

Fixed In Version: ovirt-engine-4.3.0_rc
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-13 07:44:53 UTC
oVirt Team: Infra
rule-engine: ovirt-4.3+
mgoldboi: planning_ack+
mperina: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1441525 None CLOSED [RFE][Rebase][blocked] Build apache-sshd for RHV 4.2 and drop it from rhv-dependencies 2019-04-05 08:33:57 UTC
Red Hat Bugzilla 1490404 None NEW [RFE] The engine should keep and expose hosts' public keys 2019-04-05 08:33:57 UTC
oVirt gerrit 59366 master MERGED uutils: Upgrade apache-sshd to 2.1.0 2018-12-21 09:19:21 UTC
oVirt gerrit 95299 master MERGED core: Use apache-sshd to verify host public keys 2018-12-21 09:19:24 UTC

Internal Links: 1441525 1490404

Description Sandro Bonazzola 2017-04-12 07:51:55 UTC
ovirt-engine is building on apache-sshd 0.12.0 and suing system provided version which for FEdora >=25 means 0.14.0.

Please rebase the code on 0.14.0.
We'd like to package apache-sshd 0.14.0 for CentOS / RHEL as well (see bug #1441525)

Comment 1 Martin Perina 2017-04-13 22:16:28 UTC
We are going to upgrade to latest stable apache-sshd 1.2.0 in 4.2, there's no reason to stay with no longer supported version. But it will take some time as API is quite different

Comment 2 Sandro Bonazzola 2017-04-14 11:17:07 UTC
(In reply to Martin Perina from comment #1)
> We are going to upgrade to latest stable apache-sshd 1.2.0 in 4.2, there's
> no reason to stay with no longer supported version. But it will take some
> time as API is quite different

Please note 1.2.0 isn't in RHEL and won't land in Fedora soon, see https://bugzilla.redhat.com/show_bug.cgi?id=1441525#c3
That said, up to you :-)

Comment 3 Martin Perina 2017-04-19 06:03:38 UTC
(In reply to Sandro Bonazzola from comment #2)
> (In reply to Martin Perina from comment #1)
> > We are going to upgrade to latest stable apache-sshd 1.2.0 in 4.2, there's
> > no reason to stay with no longer supported version. But it will take some
> > time as API is quite different
> 
> Please note 1.2.0 isn't in RHEL and won't land in Fedora soon, see
> https://bugzilla.redhat.com/show_bug.cgi?id=1441525#c3
> That said, up to you :-)

OK, but I think we need those new enhancements in 1.2.0 especially around newly supported ciphers, so this will stay in rhevm-dependencies

Comment 4 Sandro Bonazzola 2017-05-05 14:54:36 UTC
Just a note 1.4.0 is out: https://release-monitoring.org/project/15120/

Comment 5 Moran Goldboim 2018-01-02 11:47:58 UTC
raising priority due to our will to approach security standards better.

Comment 6 Sandro Bonazzola 2018-09-06 12:44:44 UTC
2.0.0 has been released meanwhile

Comment 7 Sandro Bonazzola 2019-02-13 07:44:53 UTC
This bugzilla is included in oVirt 4.3.0 release, published on February 4th 2019.

Since the problem described in this bug report should be
resolved in oVirt 4.3.0 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.